using System;
using System.Collections;
using System.Collections.Generic;
using Server;
using Server.Items;
using Server.Mobiles;
using Server.ContextMenus;

namespace Server.Mobiles
{
	[CorpseName( "a beetle corpse" )]
	public class IronBeetle : BaseCreature
	{
		[Constructable]
		public IronBeetle() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "an iron beetle";
			Body = 159;
			BaseSoundID = 0x4E5;

			SetStr( 444, 480 );
			SetDex( 122, 158 );
			SetInt( 36, 60 );

			SetHits( 270, 330 );
			SetMana( 0 );

			SetDamage( 11, 30 );

			SetSkill( SkillName.MagicResist, 90.0, 120.0 );
			SetSkill( SkillName.Tactics, 120.0, 150.0 );
			SetSkill( SkillName.HandToHand, 120.0, 150.0 );

			Fame = 6000;
			Karma = -6000;

			VirtualArmor = 48;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
		}

		public IronBeetle( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}